# Interface IJavaModelMarker

public interface IJavaModelMarker
Markers used by the Java model.

This interface declares constants only.

Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ARGUMENTS`
Id marker attribute (value `"arguments"`).
`static final String`
`BUILDPATH_PROBLEM_MARKER`
Build path problem marker type (value `"org.eclipse.jdt.core.buildpath_problem"`).
`static final String`
`CATEGORY_ID`
ID category marker attribute (value `"categoryId"`)
`static final String`
`CLASSPATH_FILE_FORMAT`
Classpath file format marker attribute (value `"classpathFileFormat"`).
`static final String`
`CYCLE_DETECTED`
Cycle detected marker attribute (value `"cycleDetected"`).
`static final String`
`FLAGS`
Flags marker attribute (value `"flags"`).
`static final String`
`ID`
ID marker attribute (value `"id"`).
`static final String`
`JAVA_MODEL_PROBLEM_MARKER`
Java model problem marker type (value `"org.eclipse.jdt.core.problem"`).
`static final String`
`OUTPUT_OVERLAPPING_SOURCE`
Output overlapping another source attribute (value `"outputOverlappingSource"`).
`static final String`
`TASK_MARKER`
Java model task marker type (value `"org.eclipse.jdt.core.task"`).
`static final String`
`TRANSIENT_PROBLEM`
Java model transient problem marker type (value `"org.eclipse.jdt.core.transient_problem"`).

## Field Details

### JAVA_MODEL_PROBLEM_MARKER

static final String JAVA_MODEL_PROBLEM_MARKER
Java model problem marker type (value `"org.eclipse.jdt.core.problem"`). This can be used to recognize those markers in the workspace that flag problems detected by the Java tooling during compilation.

See Also:
  - Constant Field Values

### TRANSIENT_PROBLEM

static final String TRANSIENT_PROBLEM
Java model transient problem marker type (value `"org.eclipse.jdt.core.transient_problem"`). This can be used to recognize those markers in the workspace that flag transient problems detected by the Java tooling (such as a problem detected by the outliner, or a problem detected during a code completion). Since 1.0, transient problems are reported as `IProblem` through various API. Only the evaluation API is still producing markers for transient problems.

See Also:
  - `IProblem`
  - `ICodeSnippetRequestor.acceptProblem(org.eclipse.core.resources.IMarker,String, int)`
  - Constant Field Values

### TASK_MARKER

static final String TASK_MARKER
Java model task marker type (value `"org.eclipse.jdt.core.task"`). This can be used to recognize task markers in the workspace that correspond to tasks specified in Java source comments and detected during compilation (for example, 'TO-DO: ...'). Tasks are identified by a task tag, which can be customized through `JavaCore` option `"org.eclipse.jdt.core.compiler.taskTag"`.

Since:
  2.1
See Also:
  - Constant Field Values

### ARGUMENTS

static final String ARGUMENTS
Id marker attribute (value `"arguments"`). Arguments are concatenated into one String, prefixed with an argument count (followed with colon separator) and separated with '#' characters. For example: { "foo", "bar" } is encoded as "2:foo#bar", { } is encoded as "0:".

Empty argument is encoded as three spaces (" ").

If the argument contains a '#', the character is doubled.
{"foo#test", "bar" } is encoded as "2:foo##test#bar"

Since:
  2.0
See Also:
  - `CorrectionEngine.getProblemArguments(IMarker)`
  - Constant Field Values

### ID

static final String ID
ID marker attribute (value `"id"`).

See Also:
  - Constant Field Values

### CATEGORY_ID

static final String CATEGORY_ID
ID category marker attribute (value `"categoryId"`)

Since:
  3.2
See Also:
  - Constant Field Values

### FLAGS

static final String FLAGS
Flags marker attribute (value `"flags"`). Reserved for future use.

See Also:
  - Constant Field Values

### CYCLE_DETECTED

static final String CYCLE_DETECTED
Cycle detected marker attribute (value `"cycleDetected"`). Used only on buildpath problem markers. The value of this attribute is either "true" or "false".

See Also:
  - Constant Field Values

### BUILDPATH_PROBLEM_MARKER

static final String BUILDPATH_PROBLEM_MARKER
Build path problem marker type (value `"org.eclipse.jdt.core.buildpath_problem"`). This can be used to recognize those markers in the workspace that flag problems detected by the Java tooling during classpath setting.

See Also:
  - Constant Field Values

### CLASSPATH_FILE_FORMAT

static final String CLASSPATH_FILE_FORMAT
Classpath file format marker attribute (value `"classpathFileFormat"`). Used only on buildpath problem markers. The value of this attribute is either "true" or "false".

Since:
  2.0
See Also:
  - Constant Field Values

### OUTPUT_OVERLAPPING_SOURCE

static final String OUTPUT_OVERLAPPING_SOURCE
Output overlapping another source attribute (value `"outputOverlappingSource"`). Used only on buildpath problem markers. The value of this attribute is either "true" or "false".

Since:
  3.6.4
See Also:
  - Constant Field Values